For the complete documentation index, see llms.txt. This page is also available as Markdown.

subscription

Graphql fields and variables for the subscription query

Scope required:

For a complete list of possible response fields see the Subscription type.

query GetSubscription ($id: ID, $code: String, $format: String) {
  subscription (id: $id, code: $code, format: $format) {
    accountId
    cancellationDate
    createdAt
    currencyId
    currentPeriod
    customFieldsData
    daysLeftInTrial
    endDate
    entityId
    evergreen
    hasCustomFields
    id
    licenseKey
    name
    period
    priceAdjustmentAllowed
    priceAdjustmentLastDate
    priceAdjustmentPercentage
    priceListId
    provisioningRequired
    rampIntervalMonths
    renewalSummary
    renewalTermMonths
    startDate
    trialEndDate
    trialPeriod
    trialStartDate
    updatedAt
  }
}

Arguments

Name
Type
Description

id

ID

code

String

format

String

Response

Last updated

Was this helpful?